repositories {
    gradlePluginPortal()
    jcenter()
}

plugins {
    `kotlin-dsl`
    `maven-publish`
}

group = "com.thebrokenrail"
base.archivesBaseName = "scriptcraft"
version = "1.0.0-SNAPSHOT"

gradlePlugin {
    plugins {
        register("scriptcraft-plugin") {
            id = "${group}.${base.archivesBaseName}"
            implementationClass = "ScriptCraftPlugin"
        }
    }
}

publishing {
    project.afterEvaluate {
        publications {
            named<MavenPublication>("pluginMaven") {
                artifactId = base.archivesBaseName
            }
        }
    }
    repositories {
        maven {
            url = uri("/data/maven")
        }
    }
}
